### Constructor

# FwupdPlugin BiosSettings new

since: 1.8.4

#### Declaration [src]

    FuBiosSettings*
    fu_bios_settings_new (
      FuPathStore* pstore
    )

#### Description

No description available.

Available since: 1.8.4

#### Parameters

`pstore`

  Type: `FuPathStore`

  A `FuPathStore`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FuBiosSettings`

`FuBiosSettings`.

The caller of the function takes ownership of the data, and is responsible for freeing it.